public class Shit extends Obj {
	private static final int SHITLIMIT[] = {100*12, 100*24, 100*24*2};
	private int ageState;
	
	public Shit (int initX, int initY, int initAgeState) {
		objType = SHIT;
		x = initX;
		y = initY;
		ageState = initAgeState;
		removed = false;
	}
	
	public int getAgeState() {
		return ageState;
	}
	
	public int clockTick() {
		if (removed == false) {
			age += TICK;
			if (age >= SHITLIMIT[ageState]) {
				removed = true;
			}
			return DONOTHING;
		}
		return REMOVED;
	}
}